This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 219778 - RFE: More search domains in /etc/resolv.conf
RFE: More search domains in /etc/resolv.conf
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 07:51 EST by Binand Sethumadhavan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 08:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Binand Sethumadhavan 2006-12-15 07:51:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1) Gecko/20061010 Firefox/2.0

Description of problem:
The resolv.conf manpage under the section for 'search' keyword says:

                 The search list is currently limited to six domains with a
                 total of 256 characters each.

Can the limit of 6 domains be increased to a higher number (say 32)?

Version-Release number of selected component (if applicable):
glibc-2.3.2-95.44

How reproducible:
Always


Steps to Reproduce:
1. Add several ( > 6) domains in a "search" line in /etc/resolv.conf
2. Try to lookup one of the hosts in a domain whose position is > 6
3. Fails

Actual Results:
"Unknown host"

Expected Results:
A proper name lookup

Additional info:
A quick search through glibc sources seem to indicate that the

# define MAXDNSRCH              6

is what controls this, and I couldn't see any side effect of changing this number to something higher. But don't let me fool you :)
Comment 1 Jakub Jelinek 2006-12-15 08:04:56 EST
That's not possible, the max number of search lines is part of the glibc ABI.
An MAXDNSRCH sized array is part of the struct __res_state structure (and _res
object), which various applications access directly.

Note You need to log in before you can comment on or make changes to this bug.